net.minecraft.client.settings

## Enum GameSettings.Options

- java.lang.Object
- - java.lang.Enum<GameSettings.Options>
  - - net.minecraft.client.settings.GameSettings.Options

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GameSettings.Options>
  Enclosing class:
    GameSettings

      public static enum GameSettings.Options
      extends java.lang.Enum<GameSettings.Options>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVANCED_OPENGL`
    `AMBIENT_OCCLUSION`
    `ANAGLYPH`
    `ANISOTROPIC_FILTERING`
    `CHAT_COLOR`
    `CHAT_HEIGHT_FOCUSED`
    `CHAT_HEIGHT_UNFOCUSED`
    `CHAT_LINKS`
    `CHAT_LINKS_PROMPT`
    `CHAT_OPACITY`
    `CHAT_SCALE`
    `CHAT_VISIBILITY`
    `CHAT_WIDTH`
    `DIFFICULTY`
    `ENABLE_VSYNC`
    `FBO_ENABLE`
    `FORCE_UNICODE_FONT`
    `FOV`
    `FRAMERATE_LIMIT`
    `GAMMA`
    `GRAPHICS`
    `GUI_SCALE`
    `INVERT_MOUSE`
    `MIPMAP_LEVELS`
    `PARTICLES`
    `RENDER_CLOUDS`
    `RENDER_DISTANCE`
    `SATURATION`
    `SENSITIVITY`
    `SHOW_CAPE`
    `SNOOPER_ENABLED`
    `TOUCHSCREEN`
    `USE_FULLSCREEN`
    `USE_SERVER_TEXTURES`
    `VIEW_BOBBING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `denormalizeValue(float p_148262_1_)`
    `boolean` | `getEnumBoolean()`
    `boolean` | `getEnumFloat()`
    `static GameSettings.Options` | `getEnumOptions(int par0)`
    `java.lang.String` | `getEnumString()`
    `float` | `getValueMax()`
    `float` | `normalizeValue(float p_148266_1_)`
    `int` | `returnEnumOrdinal()`
    `void` | `setValueMax(float p_148263_1_)`
    `protected float` | `snapToStep(float p_148264_1_)`
    `float` | `snapToStepClamp(float p_148268_1_)`
    `static GameSettings.Options` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GameSettings.Options[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVERT_MOUSE

          public static final GameSettings.Options INVERT_MOUSE

    - #### SENSITIVITY

          public static final GameSettings.Options SENSITIVITY

    - #### FOV

          public static final GameSettings.Options FOV

    - #### GAMMA

          public static final GameSettings.Options GAMMA

    - #### SATURATION

          public static final GameSettings.Options SATURATION

    - #### RENDER_DISTANCE

          public static final GameSettings.Options RENDER_DISTANCE

    - #### VIEW_BOBBING

          public static final GameSettings.Options VIEW_BOBBING

    - #### ANAGLYPH

          public static final GameSettings.Options ANAGLYPH

    - #### ADVANCED_OPENGL

          public static final GameSettings.Options ADVANCED_OPENGL

    - #### FRAMERATE_LIMIT

          public static final GameSettings.Options FRAMERATE_LIMIT

    - #### FBO_ENABLE

          public static final GameSettings.Options FBO_ENABLE

    - #### DIFFICULTY

          public static final GameSettings.Options DIFFICULTY

    - #### GRAPHICS

          public static final GameSettings.Options GRAPHICS

    - #### AMBIENT_OCCLUSION

          public static final GameSettings.Options AMBIENT_OCCLUSION

    - #### GUI_SCALE

          public static final GameSettings.Options GUI_SCALE

    - #### RENDER_CLOUDS

          public static final GameSettings.Options RENDER_CLOUDS

    - #### PARTICLES

          public static final GameSettings.Options PARTICLES

    - #### CHAT_VISIBILITY

          public static final GameSettings.Options CHAT_VISIBILITY

    - #### CHAT_COLOR

          public static final GameSettings.Options CHAT_COLOR

    - #### CHAT_LINKS

          public static final GameSettings.Options CHAT_LINKS

    - #### CHAT_OPACITY

          public static final GameSettings.Options CHAT_OPACITY

    - #### CHAT_LINKS_PROMPT

          public static final GameSettings.Options CHAT_LINKS_PROMPT

    - #### USE_SERVER_TEXTURES

          public static final GameSettings.Options USE_SERVER_TEXTURES

    - #### SNOOPER_ENABLED

          public static final GameSettings.Options SNOOPER_ENABLED

    - #### USE_FULLSCREEN

          public static final GameSettings.Options USE_FULLSCREEN

    - #### ENABLE_VSYNC

          public static final GameSettings.Options ENABLE_VSYNC

    - #### SHOW_CAPE

          public static final GameSettings.Options SHOW_CAPE

    - #### TOUCHSCREEN

          public static final GameSettings.Options TOUCHSCREEN

    - #### CHAT_SCALE

          public static final GameSettings.Options CHAT_SCALE

    - #### CHAT_WIDTH

          public static final GameSettings.Options CHAT_WIDTH

    - #### CHAT_HEIGHT_FOCUSED

          public static final GameSettings.Options CHAT_HEIGHT_FOCUSED

    - #### CHAT_HEIGHT_UNFOCUSED

          public static final GameSettings.Options CHAT_HEIGHT_UNFOCUSED

    - #### MIPMAP_LEVELS

          public static final GameSettings.Options MIPMAP_LEVELS

    - #### ANISOTROPIC_FILTERING

          public static final GameSettings.Options ANISOTROPIC_FILTERING

    - #### FORCE_UNICODE_FONT

          public static final GameSettings.Options FORCE_UNICODE_FONT

  - ### Method Detail

    - #### values

          public static GameSettings.Options[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GameSettings.Options c : GameSettings.Options.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GameSettings.Options valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getEnumOptions

          public static GameSettings.Options getEnumOptions(int par0)

    - #### getEnumFloat

          public boolean getEnumFloat()

    - #### getEnumBoolean

          public boolean getEnumBoolean()

    - #### returnEnumOrdinal

          public int returnEnumOrdinal()

    - #### getEnumString

          public java.lang.String getEnumString()

    - #### getValueMax

          public float getValueMax()

    - #### setValueMax

          public void setValueMax(float p_148263_1_)

    - #### normalizeValue

          public float normalizeValue(float p_148266_1_)

    - #### denormalizeValue

          public float denormalizeValue(float p_148262_1_)

    - #### snapToStepClamp

          public float snapToStepClamp(float p_148268_1_)

    - #### snapToStep

          protected float snapToStep(float p_148264_1_)